<template>
  <div>
    <el-button type="success" size="small" icon="el-icon-download" style="margin-left:10px" @click="submit()">导 出</el-button>
  </div>
</template>

<script>
export default {
  data () {
    return {
      param: {
          "classname": "saletool.orderclue.web.orderclue",
          "method": "selectList",
          "content": {
              "isAll":true,
              "pageNumber": 1,
              "pageSize": 20,
              "where": {
                "condition": "",
                "status": ""
              }
          }
      }
    }
  },
  methods:{
    async submit () {
      let res = await this.$api.requested(this.param)
      this.tool.showMessage(res,() => {
        window.open(res.data[0].url,'_self')
      })
    }
  }
}

</script>
<style>
</style>